# CommunicationReceiver

**Summary:** Endpoints for CommunicationReceiver

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/communication-receiver
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-communication-receiver"></a>
## Get all communication receivers

`GET /api/v1/communication-receiver`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of CommunicationReceiverResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].id` (Required when parent is present) | `number` |   |
| `[].channel` (Required when parent is present) | `COMMUNICATION_CHANNEL` | Allowed values: `"sms"`, `"email"` |
| `[].name` (Required when parent is present) | `string` |   |
| `[].email` (Required when parent is present) | `string` |   |
| `[].purpose` (Required when parent is present) | `INTERNAL_COMMUNICATION_PURPOSE` | Allowed values: `"systemImportCompletion"` |

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-receiver \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "id": 0,
    "channel": "sms",
    "name": "string",
    "email": "string",
    "purpose": "systemImportCompletion"
  }
]
```

<a id="post-api-v1-communication-receiver"></a>
## Create a communication sender

`POST /api/v1/communication-receiver`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `CommunicationReceiverCreateDto`

| Name | Type | Description |
| --- | --- | --- |
| `channel` (Required) | `string` | Allowed values: `"sms"`, `"email"` |
| `name` (Required) | `string` |   |
| `email` (Required) | `string (email)` |   |
| `purpose` (Required) | `INTERNAL_COMMUNICATION_PURPOSE` | Allowed values: `"systemImportCompletion"` |

**Example request body**

`application/json`

```json
{
  "channel": "sms",
  "name": "string",
  "email": "user@example.com",
  "purpose": "systemImportCompletion"
}
```

### Responses

#### 201

Content type: `application/json` · `CommunicationReceiverResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `number` |   |
| `channel` (Required) | `COMMUNICATION_CHANNEL` | Allowed values: `"sms"`, `"email"` |
| `name` (Required) | `string` |   |
| `email` (Required) | `string` |   |
| `purpose` (Required) | `INTERNAL_COMMUNICATION_PURPOSE` | Allowed values: `"systemImportCompletion"` |

#### 400

Content type: `application/json` · `ErrorResponse`

purposeAlreadyExists

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-receiver \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "channel": "sms",
  "name": "string",
  "email": "user@example.com",
  "purpose": "systemImportCompletion"
}'
```

### Example response

201 · `application/json`

```json
{
  "id": 0,
  "channel": "sms",
  "name": "string",
  "email": "string",
  "purpose": "systemImportCompletion"
}
```

<a id="patch-api-v1-communication-receiver-id"></a>
## Update a communication receiver

`PATCH /api/v1/communication-receiver/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Request body

Content type: `application/json` · Required · `CommunicationReceiverUpdateDto`

| Name | Type | Description |
| --- | --- | --- |
| `name` (Required) | `string` |   |
| `email` (Required) | `string (email)` |   |

**Example request body**

`application/json`

```json
{
  "name": "string",
  "email": "user@example.com"
}
```

### Responses

#### 200

Content type: `application/json` · `CommunicationReceiverResponseDto`

Same fields as [Create a communication sender (201)](https://www.subrite.no/developers/communication-receiver?md=true#post-api-v1-communication-receiver).

#### 400

Content type: `application/json` · `ErrorResponse`

communicationReceiverNotFound

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

unauthorized

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get all communication receivers (403)](https://www.subrite.no/developers/communication-receiver?md=true#get-api-v1-communication-receiver).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/communication-receiver/{id}' \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "email": "user@example.com"
}'
```

### Example response

200 · `application/json`

```json
{
  "id": 0,
  "channel": "sms",
  "name": "string",
  "email": "string",
  "purpose": "systemImportCompletion"
}
```
